# Uses of Interface
javax.lang.model.element.AnnotationValue

Packages that use AnnotationValue
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of AnnotationValue in com.sun.source.util

Methods in com.sun.source.util with parameters of type AnnotationValue
Modifier and Type
Method
Description
`abstract TreePath`
Trees.`getPath(Element e, AnnotationMirror a, AnnotationValue v)`
Returns the `TreePath` node for an `AnnotationValue` for an `AnnotationMirror` on a given `Element`.
`abstract Tree`
Trees.`getTree(Element e, AnnotationMirror a, AnnotationValue v)`
Returns the `Tree` node for an `AnnotationValue` for an `AnnotationMirror` on a given `Element`.

## Uses of AnnotationValue in javax.annotation.processing

Methods in javax.annotation.processing with parameters of type AnnotationValue
Modifier and Type
Method
Description
`void`
Messager.`printMessage(Diagnostic.Kind kind, CharSequence msg, Element e, AnnotationMirror a, AnnotationValue v)`
Prints a message of the specified kind at the location of the annotation value inside the annotation mirror of the annotated element.

## Uses of AnnotationValue in javax.lang.model.element

Methods in javax.lang.model.element that return AnnotationValue
Modifier and Type
Method
Description
`AnnotationValue`
ExecutableElement.`getDefaultValue()`
Returns the default value if this executable is an annotation interface element.
`AnnotationValue`
UnknownAnnotationValueException.`getUnknownAnnotationValue()`
Returns the unknown annotation value.
Methods in javax.lang.model.element that return types with arguments of type AnnotationValue
Modifier and Type
Method
Description
`Map<? extends ExecutableElement, ? extends AnnotationValue>`
AnnotationMirror.`getElementValues()`
Returns the values of this annotation's elements.
Methods in javax.lang.model.element with parameters of type AnnotationValue
Modifier and Type
Method
Description
`default R`
AnnotationValueVisitor.`visit(AnnotationValue av)`
A convenience method equivalent to `visit(av, null)`.
`R`
AnnotationValueVisitor.`visit(AnnotationValue av, P p)`
Visits an annotation value.
`R`
AnnotationValueVisitor.`visitUnknown(AnnotationValue av, P p)`
Visits an unknown kind of annotation value.
Method parameters in javax.lang.model.element with type arguments of type AnnotationValue
Modifier and Type
Method
Description
`R`
AnnotationValueVisitor.`visitArray(List<? extends AnnotationValue> vals, P p)`
Visits an array value in an annotation.
Constructors in javax.lang.model.element with parameters of type AnnotationValue
Modifier
Constructor
Description
``
`UnknownAnnotationValueException(AnnotationValue av, Object p)`
Creates a new `UnknownAnnotationValueException`.

## Uses of AnnotationValue in javax.lang.model.util

Methods in javax.lang.model.util that return types with arguments of type AnnotationValue
Modifier and Type
Method
Description
`Map<? extends ExecutableElement, ? extends AnnotationValue>`
Elements.`getElementValuesWithDefaults(AnnotationMirror a)`
Returns the values of an annotation's elements, including defaults.
Methods in javax.lang.model.util with parameters of type AnnotationValue
Modifier and Type
Method
Description
`final R`
AbstractAnnotationValueVisitor6.`visit(AnnotationValue av)`
Visits an annotation value as if by passing itself to that value's `accept` method passing `null` for the additional parameter.
`final R`
AbstractAnnotationValueVisitor6.`visit(AnnotationValue av, P p)`
Visits any annotation value as if by passing itself to that value's `accept`.
`R`
AbstractAnnotationValueVisitor6.`visitUnknown(AnnotationValue av, P p)`
Visits an unknown kind of annotation value.
Method parameters in javax.lang.model.util with type arguments of type AnnotationValue
Modifier and Type
Method
Description
`R`
SimpleAnnotationValueVisitor6.`visitArray(List<? extends AnnotationValue> vals, P p)`
Visits an array value in an annotation.